GEN_PATH="/docs/book"

generate() {

  if [ ! -f "$1"/book.toml ]; then
    echo "doxygen generator error : file $1/book.toml is missing" >&2
    exit 1
  fi

  (cd "$1" && mdbook build)

  mkdir -p $GEN_PATH
  mv "$1"/book/* $GEN_PATH
}
